package com.miaxis.teachingDsp.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 学车短视频对象 teaching_dsp_info
 *
 * @author miaxis
 * @date 2021-12-09
 */
@Data
@TableName("teaching_dsp_info")
@ApiModel(value = "TeachingDspInfo", description = "学车短视频对象 teaching_dsp_info")
public class TeachingDspInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 视频文件id */
    @Excel(name = "视频文件id")
    @TableField("file_id")
    @ApiModelProperty(value = "视频文件id")
    private Long fileId;

    /** 封面图片id */
    @Excel(name = "封面图片id")
    @TableField("cover_file_id")
    @ApiModelProperty(value = "封面图片id")
    private Long coverFileId;

    /** 视频标题 */
    @Excel(name = "视频标题")
    @TableField("title")
    @ApiModelProperty(value = "视频标题")
    private String title;

    /** 视频描述 */
    @Excel(name = "视频描述")
    @TableField("video_describe")
    @ApiModelProperty(value = "视频描述")
    private String videoDescribe;

    /** 视频时长 */
    @Excel(name = "视频时长")
    @TableField("video_duration")
    @ApiModelProperty(value = "视频时长")
    private String videoDuration;

    /** 视频大小（单位:MB） */
    @Excel(name = "视频大小（单位:MB）", readConverterExp = "单=位:MB")
    @TableField("video_size")
    @ApiModelProperty(value = "视频大小（单位:MB）")
    private BigDecimal videoSize;

    /** 视频高度 */
    @Excel(name = "视频高度")
    @TableField("video_height")
    @ApiModelProperty(value = "视频高度")
    private Long videoHeight;

    /** 视频宽度 */
    @Excel(name = "视频宽度")
    @TableField("video_width")
    @ApiModelProperty(value = "视频宽度")
    private Long videoWidth;

    /** 云点播视频fileId */
    @Excel(name = "云点播视频fileId")
    @TableField("vod_video_file_id")
    @ApiModelProperty(value = "云点播视频fileId")
    private String vodVideoFileId;

    /** 上架状态  0：已上架、1：未上架 */
    @Excel(name = "上架状态  0：已上架、1：未上架")
    @TableField("shelf_status")
    @ApiModelProperty(value = "上架状态  0：已上架、1：未上架")
    private Integer shelfStatus;

    /** 状态  0：有效(默认)、1：失效 （伪删除） */
    @Excel(name = "状态  0：有效(默认)、1：失效 （伪删除）", readConverterExp = "伪=删除")
    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setFileId(Long fileId){
        this.fileId = fileId;
    }

    public Long getFileId(){
        return fileId;
    }
    public void setCoverFileId(Long coverFileId){
        this.coverFileId = coverFileId;
    }

    public Long getCoverFileId(){
        return coverFileId;
    }
    public void setTitle(String title){
        this.title = title;
    }

    public String getTitle(){
        return title;
    }
    public void setVideoDescribe(String videoDescribe){
        this.videoDescribe = videoDescribe;
    }

    public String getVideoDescribe(){
        return videoDescribe;
    }
    public void setVideoDuration(String videoDuration){
        this.videoDuration = videoDuration;
    }

    public String getVideoDuration(){
        return videoDuration;
    }
    public void setVideoSize(BigDecimal videoSize){
        this.videoSize = videoSize;
    }

    public BigDecimal getVideoSize(){
        return videoSize;
    }
    public void setVideoHeight(Long videoHeight){
        this.videoHeight = videoHeight;
    }

    public Long getVideoHeight(){
        return videoHeight;
    }
    public void setVideoWidth(Long videoWidth){
        this.videoWidth = videoWidth;
    }

    public Long getVideoWidth(){
        return videoWidth;
    }
    public void setVodVideoFileId(String vodVideoFileId){
        this.vodVideoFileId = vodVideoFileId;
    }

    public String getVodVideoFileId(){
        return vodVideoFileId;
    }
    public void setShelfStatus(Integer shelfStatus){
        this.shelfStatus = shelfStatus;
    }

    public Integer getShelfStatus(){
        return shelfStatus;
    }
    public void setStatus(String status){
        this.status = status;
    }

    public String getStatus(){
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fileId", getFileId())
            .append("coverFileId", getCoverFileId())
            .append("title", getTitle())
            .append("videoDescribe", getVideoDescribe())
            .append("videoDuration", getVideoDuration())
            .append("videoSize", getVideoSize())
            .append("videoHeight", getVideoHeight())
            .append("videoWidth", getVideoWidth())
            .append("vodVideoFileId", getVodVideoFileId())
            .append("shelfStatus", getShelfStatus())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
